## NAS Get RF Band Information request NAS Get RF Band Information request |

## Functions

QmiMessageNasGetRfBandInformationOutput * | qmi_message_nas_get_rf_band_information_output_ref ()
void | qmi_message_nas_get_rf_band_information_output_unref ()
gboolean | qmi_message_nas_get_rf_band_information_output_get_bandwidth_list ()
gboolean | qmi_message_nas_get_rf_band_information_output_get_extended_list ()
gboolean | qmi_message_nas_get_rf_band_information_output_get_list ()
gboolean | qmi_message_nas_get_rf_band_information_output_get_result ()
void | qmi_client_nas_get_rf_band_information ()
QmiMessageNasGetRfBandInformationOutput * | qmi_client_nas_get_rf_band_information_finish ()

## Types and Values

| QmiMessageNasGetRfBandInformationOutput
| QmiMessageNasGetRfBandInformationOutputBandwidthListElement
| QmiMessageNasGetRfBandInformationOutputExtendedListElement
| QmiMessageNasGetRfBandInformationOutputListElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetRfBandInformationOutput

## Description

## Functions

### qmi_message_nas_get_rf_band_information_output_ref ()

    QmiMessageNasGetRfBandInformationOutput *
    qmi_message_nas_get_rf_band_information_output_ref
                                   (QmiMessageNasGetRfBandInformationOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetRfBandInformationOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_rf_band_information_output_unref ()

    void
    qmi_message_nas_get_rf_band_information_output_unref
                                   (QmiMessageNasGetRfBandInformationOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetRfBandInformationOutput. |

Since: 1.0

### qmi_message_nas_get_rf_band_information_output_get_bandwidth_list ()

    gboolean
    qmi_message_nas_get_rf_band_information_output_get_bandwidth_list
                                   (QmiMessageNasGetRfBandInformationOutput *self,
                                    GArray **value_bandwidth_list,
                                    GError **error);

Get the 'Bandwidth List' field from `self` .

#### Parameters

self | a QmiMessageNasGetRfBandInformationOutput. |
value_bandwidth_list | a placeholder for the output GArray of QmiMessageNasGetRfBandInformationOutputBandwidthListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetRfBandInformationOutputBandwidthListElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_nas_get_rf_band_information_output_get_extended_list ()

    gboolean
    qmi_message_nas_get_rf_band_information_output_get_extended_list
                                   (QmiMessageNasGetRfBandInformationOutput *self,
                                    GArray **value_extended_list,
                                    GError **error);

Get the 'Extended List' field from `self` .

#### Parameters

self | a QmiMessageNasGetRfBandInformationOutput. |
value_extended_list | a placeholder for the output GArray of QmiMessageNasGetRfBandInformationOutputExtendedListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetRfBandInformationOutputExtendedListElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_nas_get_rf_band_information_output_get_list ()

    gboolean
    qmi_message_nas_get_rf_band_information_output_get_list
                                   (QmiMessageNasGetRfBandInformationOutput *self,
                                    GArray **value_list,
                                    GError **error);

Get the 'List' field from `self` .

#### Parameters

self | a QmiMessageNasGetRfBandInformationOutput. |
value_list | a placeholder for the output GArray of QmiMessageNasGetRfBandInformationOutputListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetRfBandInformationOutputListElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_rf_band_information_output_get_result ()

    gboolean
    qmi_message_nas_get_rf_band_information_output_get_result
                                   (QmiMessageNasGetRfBandInformationOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetRfBandInformationOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_nas_get_rf_band_information ()

    void
    qmi_client_nas_get_rf_band_information
                                   (QmiClientNas *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get RF Band Information request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_rf_band_information_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_rf_band_information_finish ()

    QmiMessageNasGetRfBandInformationOutput *
    qmi_client_nas_get_rf_band_information_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_rf_band_information()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_rf_band_information()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetRfBandInformationOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_rf_band_information_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetRfBandInformationOutput

    typedef struct _QmiMessageNasGetRfBandInformationOutput QmiMessageNasGetRfBandInformationOutput;

The QmiMessageNasGetRfBandInformationOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasGetRfBandInformationOutputBandwidthListElement

    typedef struct {
        QmiNasRadioInterface radio_interface;
        QmiNasDLBandwidth bandwidth;
    } QmiMessageNasGetRfBandInformationOutputBandwidthListElement;

A QmiMessageNasGetRfBandInformationOutputBandwidthListElement struct.

#### Members

QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |
QmiNasDLBandwidth `bandwidth`; | a QmiNasDLBandwidth. |

Since: 1.26

### QmiMessageNasGetRfBandInformationOutputExtendedListElement

    typedef struct {
        QmiNasRadioInterface radio_interface;
        QmiNasActiveBand active_band_class;
        guint32 active_channel;
    } QmiMessageNasGetRfBandInformationOutputExtendedListElement;

A QmiMessageNasGetRfBandInformationOutputExtendedListElement struct.

#### Members

QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |
QmiNasActiveBand `active_band_class`; | a QmiNasActiveBand. |
guint32 `active_channel`; | a guint32. |

Since: 1.26

### QmiMessageNasGetRfBandInformationOutputListElement

    typedef struct {
        QmiNasRadioInterface radio_interface;
        QmiNasActiveBand active_band_class;
        guint16 active_channel;
    } QmiMessageNasGetRfBandInformationOutputListElement;

A QmiMessageNasGetRfBandInformationOutputListElement struct.

#### Members

QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |
QmiNasActiveBand `active_band_class`; | a QmiNasActiveBand. |
guint16 `active_channel`; | a guint16. |

Since: 1.0